package cz.jzitnik.game.entities.items.registry.blocks.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.annotations.ReduceFallDamage;
import cz.jzitnik.game.core.reducefalldamage.WaterFallDamageReducer;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.flowing.FlowingData;
import cz.jzitnik.game.sprites.Water;

@ReduceFallDamage(WaterFallDamageReducer.class)
@BlockRegistry(value = "water", drops = "water_bucket")
public class WaterBlock extends Block {
    public WaterBlock() {
        super("water", SpriteLoader.SPRITES.WATER);
        setMineable(false);
        setSpriteState(Water.WaterState.FIRST);
        setData(new FlowingData());
        setFlowing(true);
        setGhost(true);
    }
}
